Bug 8673 - ppp not working properly with linux 6.1
Summary: ppp not working properly with linux 6.1
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp   
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-20 19:38 UTC by M.N.Balaji
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 02:11:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description M.N.Balaji 2000-01-20 19:38:08 UTC
i recently upgraded my linux from 6.0 to 6.1, after upgrading i could not
connect to the internet, when i was working with 6.0 i was able to connect
to the net and share with other client machines, but now i could not. i
even tried upgradion the ppp version to ppp-2.3.10-3 and initscript to
initscripts-4.70-1, but nothing seem to connect to the internet properly.

when i execute this command /usr/sbin/pppd i get the following error
messages

/usr/sbin/pppd: The remote system is required to authenticate itself but I
/usr/sbin/pppd: couldn't find any suitable secret (password) for it to use
to do  so.

Please help me out in the above matter.

thanking you in anticipation

balaji

Comment 1 Riley H Williams 2000-01-20 22:13:59 UTC
Sounds like either /etc/ppp/chap-secrets or /etc/ppp/pap-secrets (or both) has
been overwritten in the upgrade. Both are listed in ppp-2.3.10-1.i386.rpm so
it's possible that's the culprit.

Comment 2 winfried.altmann 2000-01-21 06:52:59 UTC
HiYa,

this is easy to fix. There is now the auth option in pppd as default.
Just put in /etc/pppd/options the line wit noauth in there.

winfried.altmann@bigfoot.com

Comment 3 Nalin Dahyabhai 2000-01-21 19:17:59 UTC
As rhw@memalpha.cx suggested, check and be sure your chap- and pap-secrets files
are still in the right places.  winfried.altmann@hmi.de is also correct that
adding the "noauth" option to /etc/ppp/options should fix it; the latest
initscripts package from Raw Hide includes the "noauth" option by default for
clients if you'd rather go that route.

Please let me know if this resolves the problem.

Comment 4 Alan Cox 2002-12-14 02:11:36 UTC
No answer in two years



Note You need to log in before you can comment on or make changes to this bug.